Bug 432373 - Cannot get rid of annoying gnome keyring manager
Cannot get rid of annoying gnome keyring manager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 12:14 EST by Ken Barber
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 09:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Barber 2008-02-11 12:14:23 EST
Description of problem:

When setting up a new Exchange Server account, the "Receiving Email" page of
the Evolution Account Assistant asks for the username and password of the
account.  Even when "Remember this password" is unchecked, the "New Keyring
Password" dialog pops up.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.  Launch Evolution
2.  Edit --> Preferences
3.  Mail Accounts --> Add --> Forward
4.  Fill in "Required information" --> Forward
5.  Server type:  Microsoft Exchange; fill in "username" and "OWA URL" fields
--> Authenticate
6.  Supply the requested password; make sure "remember this password" is unchecked
  
Actual results:
The evil "choose password for keyring" dialog pops up.  You cannot do anything
else on your system (such as type stuff into this bug report) until the damn
thing is cleared.

Expected results:
I am allowed to continue setting up my Exchange server account without
interference from an evil Gnome app


Additional info:
I first submitted this bug to the Gnome group.  Their response:  "it's a compile
option. you can either complain to red hat for turning it on or compile
evolution yourself."

I'm complaining to Red Hat.
Comment 1 Matthew Barnes 2008-02-11 13:15:00 EST
Nice.  There have been numerous problems with the gnome-keyring package shipped
in Fedora 8.  Start by trying the workaround described in bug #344611 and let me
know if that helps.
Comment 2 Ken Barber 2008-02-12 15:27:47 EST
It does not "fix" it per se, but at least it no longer stops one dead in one's
tracks.  The annoying dialog still pops up, but now clicking "deny" in that
dialog allows the authentication to Exchange Server to continue, which in turn
allows one to continue setting up the account.

Now to deal with the bug (reported separately) that prevents more than one
Exchange account being set up ...
Comment 3 Matthew Barnes 2008-02-12 16:02:01 EST
I think you can set up more than one account but only one can be enabled at
once.  Not sure why but it's a long-standing issue with the Exchange connector.
Comment 4 Matthew Barnes 2008-02-18 13:40:26 EST
It sounds like there's still a UI bug here.  The keyring daemon should not
pester you if you choose not to remember passwords.  Are you still seeing this
issue?

Also, whomever told you that filing this bug against GNOME is wrong is
misinformed.  Fedora may be one of the few distros that enables the keyring
feature in Evolution, but upstream is still responsible for supporting the feature.
Comment 5 Matěj Cepl 2008-04-11 09:36:21 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Ken Barber 2008-04-13 12:39:58 EDT
You'll probably have to close this bug as INSUFFICIENT_DATA.  The behavior is on my work laptop.

There was another show-stopper issue that came up with Evolution when it came time for me to 
change my AD password.  Immediately after changing that password, and ever since then, all attempts 
to log in to my Exchange Server account are rejected as having a bad password -- and my AD account 
gets locked out because of too many failed attempts and has to be reset.

I went through my .gnome directory and deleted any and every thing that looked like it might be 
caching my passwords, to no avail.  

Obviously, there are some really serious issues going on with Evolution -- and Gnome -- and I stay a 
little too busy at work to put any more time into troubleshooting it.  I've gone back to Kmail just to get 
my work done.  Kmail has its own set of really serious bugs re: Exchange but at least I am able to see 
my mail and function.  Sort of.  

In the meantime, my Mac-owning coworkers aren't having any issues at all using Apple's Mail client 
with our Exchange server.

Thanks for your time.  I wish I had more time to work on this but I don't.
Comment 7 Matěj Cepl 2008-06-12 09:43:18 EDT
OK, sorry to hear it.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.